For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
Resources
Log inGet a demo
Get startedAPI referenceImplementation
Get startedAPI referenceImplementation
    • Overview
          • The TimesheetEntry object
          • GET/timesheet-entries
          • POST/timesheet-entries
          • GET/timesheet-entries/{id}
          • GET/timesheet-entries/meta/post
UnifiedAgent HandlerGateway
UnifiedAgent HandlerGateway
Resources
Log inGet a demo
Common ModelsTimesheet entries

/timesheet-entries/{id}

Beta
GET
/hris/v1/timesheet-entries/:id
GET
/api/hris/v1/timesheet-entries/:id
$curl -G https://api.merge.dev/api/hris/v1/timesheet-entries/id \
> -H "X-Account-Token: X-Account-Token" \
> -H "Authorization: Bearer <token>" \
> -d expand=employee
200Retrieved
1{
2 "id": "91b2b905-e866-40c8-8be2-efe53827a0aa",
3 "remote_id": "19202938",
4 "created_at": "2021-09-15T00:00:00Z",
5 "modified_at": "2021-10-16T00:00:00Z",
6 "employee": "d2f972d0-2526-434b-9409-4c3b468e08f0",
7 "hours_worked": 10,
8 "start_time": "2020-11-10T00:00:00Z",
9 "end_time": "2020-11-10T00:10:00Z",
10 "remote_was_deleted": true,
11 "field_mappings": {
12 "organization_defined_targets": {
13 "custom_key": "custom_value"
14 },
15 "linked_account_defined_targets": {
16 "custom_key": "custom_value"
17 }
18 },
19 "remote_data": [
20 {
21 "path": "/dependent",
22 "data": null
23 }
24 ]
25}

Returns a TimesheetEntry object with the given id.

Field support by integration

See all supported fields

Use the /linked-accounts endpoint to pull platform support information

Was this page helpful?
Previous

/timesheet-entries

Next

/timesheet-entries/meta/post

Built with

Authentication

AuthorizationBearer

Token-based authentication with required prefix “Bearer”

Path parameters

idstringRequiredformat: "uuid"

Headers

X-Account-TokenstringRequired
Token identifying the end user.

Query parameters

expandenumOptional
Which relations should be returned in expanded form. Multiple relation names should be comma separated without spaces.
Allowed values:
include_remote_databooleanOptional

Whether to include the original data Merge fetched from the third-party to produce these models.

include_shell_databooleanOptional

Whether to include shell records. Shell records are empty records (they may contain some metadata but all other fields are null).

Response

idstringRead-onlyformat: "uuid"
remote_idstring or null

The third-party API ID of the matching object.

created_atdatetimeRead-only
The datetime that this object was created by Merge.
modified_atdatetimeRead-only
The datetime that this object was modified by Merge.
employeestring or nullformat: "uuid"
The employee the timesheet entry is for.
hours_workeddouble or null
The number of hours logged by the employee.
start_timedatetime or null
The time at which the employee started work.
end_timedatetime or null
The time at which the employee ended work.
remote_was_deletedbooleanRead-only

Indicates whether or not this object has been deleted in the third party platform. Full coverage deletion detection is a premium add-on. Native deletion detection is offered for free with limited coverage. Learn more.

field_mappingsobject or nullRead-only
remote_datalist of objects or nullRead-only